// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_kickoff2/ko2_sky
{
	qer_editorimage env/ut4_kickoff2/violetdays_bk.tga
	skyparms env/ut4_kickoff2/violetdays 512 -
	
	q3map_sunEXT 0.8 1.0 0.8 60 360 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 150 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Holopanels ===---

textures/ut4_kickoff2/ko2_hologo2b
{
	qer_editorimage textures/ut4_kickoff2/fsk_holosign2/fsk_holosign2b.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_kickoff2/fsk_holosign2/fsk_holosign2b.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff2/ko2_hologo2r
{
	qer_editorimage textures/ut4_kickoff2/fsk_holosign2/fsk_holosign2r.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_kickoff2/fsk_holosign2/fsk_holosign2r.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff2/ko2_star2
{
	qer_editorimage textures/ut4_kickoff2/kw_star2.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 100
	{
		map textures/ut4_kickoff2/kw_star2.tga
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Ladderclip ===---

textures/ut4_kickoff2/ko2_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

//glass: slippery, no damage

textures/ut4_kickoff2/ko2_glass_slip
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	surfaceparm nodamage
	surfaceparm slick
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_kickoff2/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}	
}

// ---=== Glasspipe Slip-nodam ===---

textures/ut4_kickoff2/ko2_glassblk09_b
{
	qer_editorimage textures/ut4_kickoff2/pr_glassblock09.jpg 
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock09.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock09.jpg
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== No Damage Materials ===---

textures/ut4_kickoff2/ko2_marble1
{
	qer_editorimage textures/ut4_kickoff2/pr_marble26.jpg
	surfaceparm nodamage

	{	
		map textures/ut4_kickoff2/pr_marble26.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kickoff2/ko2_marble2
{
	qer_editorimage textures/ut4_kickoff2/pr_marble43.jpg
	surfaceparm nodamage

	{	
		map textures/ut4_kickoff2/pr_marble43.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kickoff2/ko2_glassblk04_b
{
	qer_editorimage textures/ut4_kickoff2/pr_glassblock04b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock04b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock04b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff2/ko2_glassblk04_r
{
	qer_editorimage textures/ut4_kickoff2/pr_glassblock04r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock04r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kickoff2/pr_glassblock04r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff2/ko2_greenpipe1
{
	qer_editorimage textures/ut4_kickoff2/kw_greenpipe1.jpg 
	surfaceparm nodamage
	surfaceparm nolightmap

	{
		map textures/ut4_kickoff2/kw_greenpipe1.jpg

	}
}

textures/ut4_kickoff2/ko2_greenpipe2
{
	qer_editorimage textures/ut4_kickoff2/kw_greenpipe2.jpg 
	surfaceparm nodamage
	q3map_surfacelight 700

	{
		map textures/ut4_kickoff2/kw_greenpipe2.jpg

	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_kickoff2/ko2_black
{
	qer_editorimage textures/ut4_kickoff2/black.jpg
	surfaceparm nodamage

	{	
		map textures/ut4_kickoff2/black.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kickoff2/ko2_jumper1
{
	qer_editorimage textures/ut4_kickoff2/pr_glassblock09.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	deformVertexes wave 100 sin 0 3 0 .7

	{
		map textures/ut4_kickoff2/pr_glassblock09.jpg
		tcMod scale 1 0

	}
	{
		map $lightmap
		blendFunc filter
	}
}

// ---=== non-solid coin ===---

textures/ut4_kickoff2/ko2_star1
{
	qer_editorimage textures/ut4_kickoff2/kw_star1.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	q3map_surfacelight 400

	{	
		map textures/ut4_kickoff2/kw_star1.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kickoff2/ko2_yellow1
{
	qer_editorimage textures/ut4_kickoff2/kw_yellow1.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	q3map_surfacelight 400

	{	
		map textures/ut4_kickoff2/kw_yellow1.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

// Wily Duck's animated levelshot

levelshots/ut4_kickoff2_a5
{
	nopicmip
	{
		animmap .8 levelshots/ut4_kickoff2/kickoff4.tga levelshots/ut4_kickoff2/kickoff6.tga levelshots/ut4_kickoff2/kickoff1.tga levelshots/ut4_kickoff2/kickoff7.tga levelshots/ut4_kickoff2/kickoff2.tga levelshots/ut4_kickoff2/kickoff8.tga levelshots/ut4_kickoff2/kickoff3.tga levelshots/ut4_kickoff2/kickoff5.tga
	}
	{
		map levelshots/ut4_kickoff2/ut4_kickoff2_fore.tga
		blendfunc gl_one gl_src_alpha
		depthfunc equal
	}
}

